# aShell - an ADB sell

<p style="text-align: center"><img src="https://gitlab.com/sunilpaulmathew/ashell/-/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" alt="" width="250" height="450" /> <img src="https://gitlab.com/sunilpaulmathew/ashell/-/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="" width="250" height="450" /> <img src="https://gitlab.com/sunilpaulmathew/ashell/-/raw/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" alt="" width="250" height="450" /></p>

[![](https://img.shields.io/badge/aShell-v0.9-green)](https://play.google.com/store/apps/details?id=in.sunilpaulmathew.ashell)

### A local ADB shell for [Shizuku](https://shizuku.rikka.app/) powered android devices!

## Requirements
* A fully working [Shizuku](https://shizuku.rikka.app/) environment.
* Knowledge about basic ADB/Linux commands.

## Download

[<img src="https://play.google.com/intl/en_us/badges/images/generic/en-play-badge.png"
     alt="Get it on Google Play"
     height="80">](https://play.google.com/store/apps/details?id=in.sunilpaulmathew.ashell)
[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png"
     alt="Get it on F-Droid"
     height="80">](https://f-droid.org/packages/in.sunilpaulmathew.ashell/)
[<img src="https://gitlab.com/IzzyOnDroid/repo/-/raw/master/assets/IzzyOnDroid.png"
     alt="Get it on IzzyOnDroid"
     height="80">](https://apt.izzysoft.de/fdroid/index/apk/in.sunilpaulmathew.ashell)

Or get the APK from the [Releases Section](https://gitlab.com/sunilpaulmathew/ashell/-/releases).

## Features
* An elegantly designed user interface.
* Included a bundle of examples about common ADB commands.
* Handles continuously running commands, such as logcat, top, etc.
* Search for specific text from the last command output.
* Option to save last command output as a text file.
* Bookmark frequently using commands.
* An auto-dark/light theme.
* A lot more.

## Support development

<p style="text-align: justify;">If you like to appreciate the efforts of the developer to provide this application entirely free, non-intrusive and without Ads, please consider supporting the development in some way. Maintaining this project takes a lot of time. So, each and every support from the android community will be hugely appreciated.</p>

<p><a href="https://liberapay.com/sunilpaulmathew/donate" target="_blank"><img src="https://liberapay.com/assets/widgets/donate.svg" alt="" height="60" /></a> <a href="https://www.paypal.me/menacherry" target="_blank"><img src="https://github.com/SmartPack/SmartPack.github.io/blob/master/assets/pic005.png?raw=true" alt="" height="60" /></a> <a href="https://ko-fi.com/sunilpaulmathew" target="_blank"><img src="https://github.com/SmartPack/SmartPack.github.io/blob/master/assets/pic010.png?raw=true" alt="" height="60" /></a> <a href="https://play.google.com/store/apps/details?id=com.smartpack.donate" target="_blank"><img src="https://github.com/SmartPack/SmartPack.github.io/blob/master/assets/pic009.png?raw=true" alt="" height="60" /></a></p>

<p><strong>Liberapay Donation url</strong>: <a href="https://liberapay.com/sunilpaulmathew/donate" target="_blank">https://liberapay.com/sunilpaulmathew/donate</a><br><strong>PayPal Donation url</strong>: <a href="https://www.paypal.me/menacherry" target="_blank">https://www.paypal.me/menacherry</a><br><strong>PayPal Donation  email</strong>: <a href="mailto:sunil.kde@gmail.com">sunil.kde@gmail.com</a><br><strong>Ko-fi Donation url</strong>: <a href="https://ko-fi.com/sunilpaulmathew" target="_blank">https://ko-fi.com/sunilpaulmathew</a></p>

Some other ways to support the development includes, but not limited to
<ol>
    <li>Contribute code to this project.</li>
    <li><a href="https://poeditor.com/join/project/20PSoEAgfX" target="_blank">Translate</a> this application into your local language (or improve existing translations).</li>
    <li>Share good words about this application with others (family, friends, and other enthusiastic android users).</li>
</ol>

## License

    Copyright (C) 2023-2024 sunilpaulmathew <sunil.kde@gmail.com>

    aShell is a free softwares: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation, either version 3 of the License, or (at
    your option) any later version.

    aShell is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License along
    with aShell. If not, see <http://www.gnu.org/licenses/>.
